//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////
//-----------------------------------------------------------------------------
//----- acrxEntryPoint.h
//-----------------------------------------------------------------------------
#include "StdAfx.h"
class AcMgTitleBorder;
//Declare globle functions
void setTitleAttribute(AcMgTitleBorder* pTitBrd, const ACHAR* key, const ACHAR* val);
void createTitleBorder();
void modifyTitleBorder();
void deleteTitleBorder();
void editTitleStd();


//-----------------------------------------------------------------------------
#define szRDS _RXST("")

//-----------------------------------------------------------------------------
//----- ObjectARX EntryPoint
class CTestTitleBorderStdApp : public AcRxArxApp {

public:
	CTestTitleBorderStdApp () : AcRxArxApp () {}

	virtual AcRx::AppRetCode On_kInitAppMsg (void *pkt) {
		// TODO: Load dependencies here

		// You *must* call On_kInitAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kInitAppMsg (pkt) ;
		
		// TODO: Add your initialization code here

		return (retCode) ;
	}

	virtual AcRx::AppRetCode On_kUnloadAppMsg (void *pkt) {
		// TODO: Add your code here

		// You *must* call On_kUnloadAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kUnloadAppMsg (pkt) ;

		// TODO: Unload dependencies here

		return (retCode) ;
	}

	virtual void RegisterServerComponents () {
	}

  // - TESTAPP._CreateTitle command (do not rename)
  static void TESTAPP_CreateTitle(void)
  {
    createTitleBorder();
  }

  // ----- TESTAPP._ModifyTitle command
  static void TESTAPP_ModifyTitle(void)
  {
    modifyTitleBorder();
  }

  // - TESTAPP._DeleteTitle command (do not rename)
  static void TESTAPP_DeleteTitle(void)
  {
    deleteTitleBorder();
  }

  // - TESTAPP._TitleStd command (do not rename)
  static void TESTAPP_TitleStd(void)
  {
    editTitleStd();
  }
} ;

//-----------------------------------------------------------------------------
IMPLEMENT_ARX_ENTRYPOINT(CTestTitleBorderStdApp)


ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _CreateTitle, CreateTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _ModifyTitle, ModifyTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _DeleteTitle, DeleteTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _TitleStd, TitleStd, ACRX_CMD_TRANSPARENT, NULL)
